# AbstractConfigurationReportTask

API Documentation: | `AbstractConfigurationReportTask`

Known Subtypes: |
`OutgoingVariantsReportTask`
`ResolvableConfigurationsReportTask`

Note: This class is incubating and may change in a future version of Gradle.

Base class for reporting tasks which display information about attributes and related data associated to a variant/configuration. This class implements `Reporting` to make configuring additional file output formats simple.

### Properties

Property | Description
`reports` | Incubating The reports to be generated by this task.

### Methods

Method | Description
`reports(configureAction)` | Allow configuration of the report container by closure.

### Script blocks

No script blocks

### Property details

#### `ConfigurationReports` `reports` (read-only)

Note: This property is incubating and may change in a future version of Gradle.

The reports to be generated by this task.

### Method details

#### `T` `reports`(``Action`<? super `T`>` configureAction)

Allow configuration of the report container by closure.

    reports {
      html {
        required false
      }
      xml.outputLocation = "build/reports/myReport.xml"
    }